Bug 132987 - cups doesn't write pid file
cups doesn't write pid file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-20 14:13 EDT by Colin Walters
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.1.21-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 07:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2004-09-20 14:13:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
The cups package doesn't write a pid file; this means our initscripts
use "killproc" which indiscriminately terminates all processes named
"cupsd", which includes the CUPS server running as part of the user
session.


Version-Release number of selected component (if applicable):
cups-1.1.21-1.rc2.1

How reproducible:
Always

Steps to Reproduce:
1. Install cups
2. /etc/init.d/cups restart
3. Note user cups daemons are killed
    

Additional info:
Comment 1 Tim Waugh 2004-09-24 07:59:42 EDT
Fixed package is 1.1.21-3.

Note You need to log in before you can comment on or make changes to this bug.